<div class="alert alert-primary">
    <h3>Student: {{ ime }}</h3>

    <div class="form-check">
        <input class="form-check-input" 
                type="checkbox" 
                id="prosekCheck"
                (change)="onPromeniPrikazivanjeProseka()">
        <label class="form-check-label" for="prosekCheck">
            Prikaži prosek
        </label>
    </div>

    <p *ngIf="prikaziProsek; else prosekJeIskljucen">Prosek: {{ prosek() }}</p>
    <ng-template #prosekJeIskljucen>
        <p>Kliknite na checkbox iznad da pogledate prosek</p>
    </ng-template>

    <div *ngIf="ocene.length > 0">
        <hr>
        <h6>Ocene:</h6>
        <ol>
            <li *ngFor="let ocenaIzNiza of ocene">{{ ocenaIzNiza }}</li>
        </ol>

        <hr>

        <h6>Ocene:</h6>
        <p *ngFor="let ocenaIzNiza of ocene; let indeks = index">{{ indeks+1 }}. ocena: {{ ocenaIzNiza }}</p>
    </div>

    <hr>

    <div [ngSwitch]="brojPolozenihPredmeta()">
        <div *ngSwitchCase="0">Nijedan predmet nije položen :(</div>
        <div *ngSwitchCase="1">Uspeli smo da položimo neki predmet!</div>
        <div *ngSwitchCase="2">Na dobrom smo putu</div>
        <div *ngSwitchCase="3">Još samo jedan ispit do 30 ESPB</div>
        <div *ngSwitchDefault>Očistili smo makar jedan semestar</div>
    </div>

    <hr>

    <div class="form-group">
        <label for="ocena">Dodaj ocenu:</label>
        <input type="text" 
                id="ocena" 
                class="form-control"
                [(ngModel)]="ocenaStr">
    </div>
    
    <button class="btn btn-primary" 
            (click)="onDodajOcenu()">Dodaj ocenu</button>
</div>